Name:           perl-Compress-LZ4
Version:        0.22
Release:        3%{?dist}
Summary:        Perl interface to the LZ4 compression library
# other files:  GPL+ or Artistic
## Not in binary package
# src:          BSD
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Compress-LZ4/
Source0:        http://www.cpan.org/modules/by-module/Compress/Compress-LZ4-%{version}.tar.gz
# Do not use bundled lz4 sources
Patch0:         Compress-LZ4-0.22-Build-against-system-lz4.patch
BuildRequires:  coreutils
BuildRequires:  findutils
BuildRequires:  lz4-devel
BuildRequires:  perl
BuildRequires:  perl(Config)
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)
BuildRequires:  sed
# Run-time:
BuildRequires:  perl(Exporter) >= 5.57
BuildRequires:  perl(XSLoader)
# Tests:
BuildRequires:  perl(Config)
BuildRequires:  perl(overload)
BuildRequires:  perl(Test::More) >= 0.82
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
Requires:       perl(Exporter) >= 5.57

# Filter under-specified dependencies
%global __requires_exclude %{?__requires_exclude:%{__requires_exclude}|}^perl\\(Exporter\\)$

%description
The Compress::LZ4 module provides an interface to the LZ4 compression library

%prep
%setup -q -n Compress-LZ4-%{version}
%patch0 -p1
# Remove bundled lz4
rm -Rf src
sed -i -e '/^src\//d' MANIFEST
# Correct permissions
chmod -c -x ex/*

%build
perl Makefile.PL INSTALLDIRS=vendor OPTIMIZE="$RPM_OPT_FLAGS"
make %{?_smp_mflags}

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -type f -name '*.bs' -size 0 -exec rm -f {} \;
%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%doc Changes README ex
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/Compress*
%{_mandir}/man3/*

%changelog
* Sat May 14 2016 Jitka Plesnikova <jplesnik@redhat.com> - 0.22-3
- Perl 5.24 rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.22-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Sep 09 2015 Petr Pisar <ppisar@redhat.com> - 0.22-1
- 0.22 bump

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.20-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Wed Jun 03 2015 Jitka Plesnikova <jplesnik@redhat.com> - 0.20-2
- Perl 5.22 rebuild

* Sat Aug 23 2014 David Dick <ddick@cpan.org> - 0.20-1
- Initial release
